'use strict';

var childProcess = require('child_process');
var path = require('path');
var fs = require('fs');

var LOCK_FILE = path.join(__dirname, 'datreeio.lock');

try {
  var globalNodeModulesPath = void 0;
  try {
    globalNodeModulesPath = process.env._.replace(/bin\/.*$/, '');
  } catch (err) {
    globalNodeModulesPath = process.execPath.replace(/bin\/node$/, '');
  }

  require(path.join('' + globalNodeModulesPath, '/lib/node_modules/datreeio'));
} catch (err) {
  try {
    fs.accessSync(LOCK_FILE);
  } catch (err) {
    fs.writeFileSync(LOCK_FILE, '');
    childProcess.execSync('npm install -g datreeio');
    fs.unlinkSync(LOCK_FILE);
  }
}
//# sourceMappingURL=hook.js.map