'use strict';

var bunyan = require('bunyan');
var path = require('path');
var utils = require('./utils');

var streams = [];
if (utils.isDebug()) {
  streams.push({
    stream: process.stdout,
    level: 'debug'
  });
}

if (utils.isCI()) {
  streams.push({
    path: path.join(utils.getDatreeioDir(), 'debug.log'),
    level: 'debug'
  });
}

function get(name) {
  return bunyan.createLogger({
    name: name,
    streams: streams
  });
}

module.exports = {
  get: get
};
//# sourceMappingURL=loggerFactory.js.map